package com.malk.zhixingtongde.entity;

import cn.hutool.core.util.NumberUtil;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.RoundingMode;

@Data
public class Profit {
    private String subject;
    private String amt1;
    private String amt2;
    private String amt3;
    private String amt4;
    private String amt5;
    private String amt6;
    private String amt7;
    private String amt8;
    private String amt9;
    private String amt10;
    private String amt11;
    private String amt12;
    private String totalAmt;

    //季度金额
    private String quarterAmt1;
    private String quarterAmt2;
    private String quarterAmt3;
    private String quarterAmt4;

    //季度预算
    private String quarterBudget1;
    private String quarterBudget2;
    private String quarterBudget3;
    private String quarterBudget4;
    private String totalBudget;

    public Profit(String subject){
        this.subject=subject;
    }

    public Profit(){
        this.subject="-"; // 便于筛选
    }

    public Profit buildTotal(){
        this.totalAmt= NumberUtil.add(amt1,amt2,amt3,amt4,amt5,amt6,amt7,amt8,amt9,amt10,amt11,amt12).setScale(2, RoundingMode.HALF_UP).toString();
        return this;
    }

    public Profit buildTotalBudget(){
        this.totalBudget= NumberUtil.add(quarterBudget1,quarterBudget2,quarterBudget3,quarterBudget4).setScale(2,RoundingMode.HALF_UP).toString();
        return this;
    }

}
